Subject: Re: convert libpq uri-regress tests to tap test

From: Peter Eisentraut <[email-masked]>
Date: Wed, 23 Feb 2022 23:53:17 +0100

On 23.02.22 21:30, Andres Freund wrote:
> hen verifying that the meson port actually runs all perl based tests I came
> across src/interfaces/libpq/test/regress.pl.  Instead of running tests yet
> another way, it seems better to convert it to a tap test.
> 
> I hope others agree?
> 
> Where would we want that test to live? Right now we have the slightly odd
> convention that some tap tests live in src/test/{misc,modules,...}. But
> e.g. frontend binary ones are below src/bin/.

libpq TAP tests should be in src/interfaces/libpq/t/.

I think there were issues that the build farm wouldn't pick up a test 
located there, but that should be fixed rather than worked around.